summaryrefslogtreecommitdiffstats
path: root/build_tools/clarch/larch/profiles/i686-RELEASE-REMOTE/rootoverlay/root/startx
diff options
context:
space:
mode:
authorCecil Hugh Watson <knoppmyth@gmail.com>2009-09-26 03:21:16 (GMT)
committerCecil Hugh Watson <knoppmyth@gmail.com>2009-09-26 03:21:16 (GMT)
commit632b5c764106d112caa36eeefb3759f9d7c8345b (patch)
tree7de24499f23871c77f07599046506f431f9abfa1 /build_tools/clarch/larch/profiles/i686-RELEASE-REMOTE/rootoverlay/root/startx
parent4d4488bbddab439d66088b79e14354c4dd87a2ea (diff)
downloadlinhes_dev-632b5c764106d112caa36eeefb3759f9d7c8345b.zip
synce_profile.sh:Added support for syncing release profile.
Diffstat (limited to 'build_tools/clarch/larch/profiles/i686-RELEASE-REMOTE/rootoverlay/root/startx')
-rwxr-xr-xbuild_tools/clarch/larch/profiles/i686-RELEASE-REMOTE/rootoverlay/root/startx28
1 files changed, 28 insertions, 0 deletions
diff --git a/build_tools/clarch/larch/profiles/i686-RELEASE-REMOTE/rootoverlay/root/startx b/build_tools/clarch/larch/profiles/i686-RELEASE-REMOTE/rootoverlay/root/startx
new file mode 100755
index 0000000..9274703
--- /dev/null
+++ b/build_tools/clarch/larch/profiles/i686-RELEASE-REMOTE/rootoverlay/root/startx
@@ -0,0 +1,28 @@
+#!/bin/bash
+. /etc/profile
+
+export USER=root
+export HOME=/root
+
+CMDLINE=$(cat /proc/cmdline)
+TEMPVAR=${CMDLINE#*ip=}
+IP=${TEMPVAR%% *}
+echo $CMDLINE |grep -q vnc
+USEVNC=$?
+
+if [ x$USEVNC = x1 ]
+then
+ $MV_ROOT/bin/xconfig.sh 2>/dev/null
+ cat /etc/X11/xorg.conf | sed -e 's/dev\/mouse/dev\/psaux/g'> /root/xorg.conf.install
+ startx /root/LinHES-install.sh -- -logverbose 6 -config /root/xorg.conf.install -allowMouseOpenFail 2>/tmp/x.log
+ else
+ #VNC
+ pacman -Sf --noconfirm tightvnc
+ cd /root
+ mkdir .vnc
+ echo mythvantage |vncpasswd -f > /root/.vnc/passwd
+ chmod 500 /root/.vnc/passwd
+ rm /root/.vnc/xstartup
+ ln -s /root/LinHES-install.sh /root/.vnc/xstartup
+ vncserver
+fi